## disparity disparity |

## Properties

GstDisparityMethod | method | Read / Write

## Types and Values

struct | GstDisparity

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstDisparity

## Description

## Synopsis

### Element Information

plugin | opencv
author | Miguel Casas-Sanchez <miguelecasassanchez@gmail.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstDisparity

    struct GstDisparity;

## Property Details

### The `“method”` property

      “method”                   GstDisparityMethod

Stereo matching method to use.

Flags: Read / Write

Default value: Semi-global block matching algorithm